.navbar {
  display: flex;
  justify-content: space-between;
  padding: 2rem !important;
  align-items: center !important;
  background-color: $color-secondary-light;
  position: relative;

  &__logo {
    color: $color-primary-dark;
    font-size: 2rem;
  }

  &__currentuser {
    height: 100%;
    margin-right: 5rem;
  }
  &__nav {
    margin: 0;
    width: 60%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }
  &__nav-link {
    margin: 0 1rem;
    color: $color-primary-dark !important;
    font-size: 2rem;
    position: relative;

    &:hover {
      color: $color-primary;
    }

    &::after {
      content: '';
      position: absolute;
      bottom: -5px;
      left: 0;
      width: 90%;
      height: 2px;
      background: $color-primary;
      opacity: 0;
      transform: translateX(-20%) scaleX(0);
      transition: all 200ms;
    }

    &:hover::after {
      transform: translateX(5%) scaleX(1);
      opacity: 1;
    }
  }
}

@media (max-width: 576px) {
  .navbar {
    justify-content: center;

    &__logo {
      display: block;
      width: 100%;
      text-align: center;
    }

    &__nav {
      width: 100%;
      justify-content: center;
      margin: 1rem 0 0 0;

      & > * {
        margin: 0 1rem;
      }
    }
  }
}
